Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCommonStyle

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QStyle
                          com.trolltech.qt.gui.QCommonStyle

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QMotifStyle, QWindowsStyle

    public class QCommonStyle

extends QStyle

The QCommonStyle class encapsulates the common Look and Feel of a GUI. This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of Qt.

Since QCommonStyle inherits `QStyle`, all of its functions are fully documented in the `QStyle` documentation.

See also:
  `QStyle`, `QMotifStyle`, and `QWindowsStyle`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyle
`QStyle.ComplexControl, QStyle.ContentsType, QStyle.ControlElement, QStyle.PixelMetric, QStyle.PrimitiveElement, QStyle.StandardPixmap, QStyle.State, QStyle.StateFlag, QStyle.StyleHint, QStyle.SubControl, QStyle.SubElement`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QCommonStyle()` Constructs a QCommonStyle.

Method Summary

Methods inherited from class com.trolltech.qt.gui.QStyle
`alignedRect, combinedLayoutSpacing, combinedLayoutSpacing, combinedLayoutSpacing, drawComplexControl, drawComplexControl, drawControl, drawControl, drawItemPixmap, drawItemText, drawItemText, drawPrimitive, drawPrimitive, generatedIconPixmap, hitTestComplexControl, hitTestComplexControl, itemPixmapRect, itemTextRect, layoutSpacing, layoutSpacing, layoutSpacing, layoutSpacingImplementation, layoutSpacingImplementation, layoutSpacingImplementation, pixelMetric, pixelMetric, pixelMetric, polish, polish, polish, sizeFromContents, sizeFromContents, sliderPositionFromValue, sliderPositionFromValue, sliderValueFromPosition, sliderValueFromPosition, standardIcon, standardIcon, standardIcon, standardIconImplementation, standardIconImplementation, standardIconImplementation, standardPalette, styleHint, styleHint, styleHint, styleHint, subControlRect, subControlRect, subElementRect, subElementRect, unpolish, unpolish, visualAlignment, visualAlignment, visualPos, visualRect`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QCommonStyle

    public QCommonStyle()

  Constructs a QCommonStyle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD